Skip to content

Access Key List

GET
/api/v1/storage/core/list/users/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/core/list/users/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

List of access keys

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
my_account_id
integer
nullable
user_name
string
email
string
access_key
string
secret_key
string
nullable
is_default
boolean
disabled
boolean
tag
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1234,
"my_account_id": null,
"user_name": "admin@e2enetworks.com",
"email": "",
"access_key": "Q34D0BUS6OVZTF3IIR7M",
"secret_key": null,
"is_default": false,
"disabled": false,
"tag": "hello"
}
],
"errors": {},
"message": "Success"
}